package org.jboss.errai.demo.client.local;

import javax.enterprise.event.Event;
import javax.enterprise.event.Observes;
import javax.inject.Inject;

import org.jboss.errai.demo.client.shared.Cam01FileList;
import org.jboss.errai.demo.client.shared.Request;
import org.jboss.errai.demo.client.shared.Response;
import org.jboss.errai.ui.nav.client.local.DefaultPage;
import org.jboss.errai.ui.nav.client.local.Page;
import org.jboss.errai.ui.nav.client.local.PageShown;
import org.jboss.errai.ui.shared.api.annotations.Templated;

import com.google.gwt.user.client.ui.Composite;

@Page(role = DefaultPage.class)
@Templated("Cam01Records.html#app-template")
public class Cam01Records extends Composite {

  @Inject
  @Request
  private Event<Cam01FileList> cam01FileListEvent;

  public Cam01Records() {
    System.out.println("Cam01Records");
  }

  public void loadRecords(@Observes @Response Cam01FileList event) {
    System.out.println("RECEIVED CAM01 FILE RECORDS!!!!:" + event.getRecords());
  }

  @PageShown
  private void getRecords() {
    System.out.println("REQUESTING CAM01 FILE RECORDS!!!!");
    cam01FileListEvent.fire(new Cam01FileList());
  }
}