package org.jboss.errai.demo.client.shared;
 
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

import org.jboss.errai.common.client.api.annotations.Portable;
import org.jboss.errai.databinding.client.api.Bindable;
 
/**
* The persistent class for the cam01file database table.
*
*/
@Entity
@Table(name = "cam01file", schema = "maindata")
@NamedQuery(name = "Cam01File.findAll", query = "SELECT c FROM Cam01File c")
@Bindable
@Portable
public class Cam01File
{
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    @Column(name = "ROWUID")
    private int rowuid;
 
    @Column(name = "ADDDTM")
    private String adddtm;
 
    @Column(name = "CommonlineSeqNbr44")
    private String commonlineSeqNbr44;
 
    @Column(name = "CommonlineUniqueID44")
    private String commonlineUniqueID44;
 
    @Column(name = "FileName")
    private String fileName;
 
    @Column(name = "RecordType")
    private String recordType;
 
    @Column(name = "RowContent")
    private String rowContent;
 
    @Column(name = "SSN")
    private String ssn;
 
    public Cam01File()
    {
    }
 
    public int getRowuid()
    {
        return this.rowuid;
    }
 
    public void setRowuid(int rowuid)
    {
        this.rowuid = rowuid;
    }
 
    public String getAdddtm()
    {
        return this.adddtm;
    }
 
    public void setAdddtm(String adddtm)
    {
        this.adddtm = adddtm;
    }
 
    public String getCommonlineSeqNbr44()
    {
        return this.commonlineSeqNbr44;
    }
 
    public void setCommonlineSeqNbr44(String commonlineSeqNbr44)
    {
        this.commonlineSeqNbr44 = commonlineSeqNbr44;
    }
 
    public String getCommonlineUniqueID44()
    {
        return this.commonlineUniqueID44;
    }
 
    public void setCommonlineUniqueID44(String commonlineUniqueID44)
    {
        this.commonlineUniqueID44 = commonlineUniqueID44;
    }
 
    public String getFileName()
    {
        return this.fileName;
    }
 
    public void setFileName(String fileName)
    {
        this.fileName = fileName;
    }
 
    public String getRecordType()
    {
        return this.recordType;
    }
 
    public void setRecordType(String recordType)
    {
        this.recordType = recordType;
    }
 
    public String getRowContent()
    {
        return this.rowContent;
    }
 
    public void setRowContent(String rowContent)
    {
        this.rowContent = rowContent;
    }
 
    public String getSsn()
    {
        return this.ssn;
    }
 
    public void setSsn(String ssn)
    {
        this.ssn = ssn;
    }
 
    /*
     * (non-Javadoc)
     *
     * @see java.lang.Object#hashCode()
     */
    @Override
    public int hashCode()
    {
        final int prime = 31;
        int result = 1;
        result = prime * result + rowuid;
        return result;
    }
 
    /*
     * (non-Javadoc)
     *
     * @see java.lang.Object#equals(java.lang.Object)
     */
    @Override
    public boolean equals(Object obj)
    {
        if (this == obj)
        {
            return true;
        }
        if (obj == null)
        {
            return false;
        }
        if (!(obj instanceof Cam01File))
        {
            return false;
        }
        Cam01File other = (Cam01File) obj;
        if (rowuid != other.rowuid)
        {
            return false;
        }
        return true;
    }
 
    /*
     * (non-Javadoc)
     *
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString()
    {
        StringBuilder builder = new StringBuilder();
        builder.append(", rowuid=");
        builder.append(rowuid);
        builder.append(", adddtm=");
        builder.append(adddtm);
        builder.append(", commonlineSeqNbr44=");
        builder.append(commonlineSeqNbr44);
        builder.append(", commonlineUniqueID44=");
        builder.append(commonlineUniqueID44);
        builder.append(", fileName=");
        builder.append(fileName);
        builder.append(", recordType=");
        builder.append(recordType);
        builder.append(", rowContent=");
        builder.append(rowContent);
        builder.append(", ssn=");
        builder.append(ssn);
        builder.append("]");
        return builder.toString();
    }
}